Bug 1420041 - glibc: [LLNL 7.4 FEAT] Impove the quality of dynamic linker documentation
Summary: glibc: [LLNL 7.4 FEAT] Impove the quality of dynamic linker documentation
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.2
Assignee: glibc team
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1593423
TreeView+ depends on / blocked
 
Reported: 2017-02-07 16:22 UTC by Ben Woodard
Modified: 2020-11-14 05:29 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-24 14:56:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
patch (53.90 KB, text/plain)
2017-02-07 16:22 UTC, Ben Woodard
no flags Details
Update the patch to the latest glibc git (53.70 KB, patch)
2017-08-17 04:32 UTC, Ben Woodard
no flags Details | Diff

Description Ben Woodard 2017-02-07 16:22:26 UTC
Created attachment 1248454 [details]
patch

Description of problem:
The DOE has identified that software is the key to unlocking the potential of the next generation of supercomputing systems. To be able to facilitate this new generation of software, tools are needed. As a response LLNL is scaling up its tools team. These new hires and collaborators need better dynamic linker documentation since it is a primary interface for many kinds of tooling.

Here is a proposed patch which adds a chapter to the glibc manual. It has been submitted upstream but it hasn't been applied.

Comment 1 Ben Woodard 2017-07-20 17:48:29 UTC
What is the problem with taking the attached patch first into upstream glibc and then backporting it rhel? It is a doc only patch and so the risk is very low.

If you need changes to the patch please speak up and identify what needs to be changed.

Comment 2 Ben Woodard 2017-08-17 04:32:04 UTC
Created attachment 1314527 [details]
Update the patch to the latest glibc git

This patch applies cleanly to the latest glibc git.

Comment 6 Carlos O'Donell 2020-02-24 14:56:45 UTC
We are going to track this upstream here:
"Bug 25595 - Impove the quality of dynamic linker documentation"
https://sourceware.org/bugzilla/show_bug.cgi?id=25595

This bug is now CLOSED/UPSTREAM and we'll triage this upstream and get it integrated there.

These issues will then naturally become a part of the next version of RHEL. We may review CLOSED/UPSTREAM bugs for backport.


Note You need to log in before you can comment on or make changes to this bug.